Issue 121191 - Clean up ext_sources/
Clean up ext_sources/
Status: CLOSED FIXED
Product: Build Tools
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 08:39 UTC by Andre
Modified: 2013-07-12 11:06 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2012-10-10 08:39:47 UTC
The ext_sources/ directory still contains category-B tarballs.  This is not necessary anymore as they can be downloaded either from their home server or from http://ooo-extras.apache-extras.org.codespot.com/files/
Comment 1 Andre 2012-10-10 09:04:16 UTC
The complete list of files to be removed from ext_sources/ is:

2b5f1ca58d6ef30f18f1415b65bed81c-CoinMP-1.6.0.tgz
35efabc239af896dfb79be7ebdd6e6b9-gentiumbasic-fonts-1.10.zip
48a9f787f43a09c0a9b7b00cd1fddbbf-hyphen-2.7.1.tar.gz
61f59e4110781cbe66b46449eadac231-croscorefonts-1.21.0.tar.gz
3121aaf3e13e5d88dfff13fb4a5f1ab8-hunspell-1.3.2.tar.gz
68dd2e8253d9a7930e9fd50e2d7220d0-hunspell-1.2.9.tar.gz
99d94103662a8d0b571e247a77432ac5-rhino1_7R3.zip
a169ab152209200a7bad29a275cb0333-seamonkey-1.1.14.source.tar.gz
b92261a5679276c400555004937af965-nss-3.12.6-with-nspr-4.8.4.tar.gz
24be19595acad0a2cae931af77a0148a-LICENSE_source-9.0.0.7-bj.html
48470d662650c3c074e1c3fabbc67bbd-README_source-9.0.0.7-bj.txt
ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip
377a60170e5185eb63d3ed2fae98e621-README_silgraphite-2.3.1.txt
d35724900f6a4105550293686688bbb3-silgraphite-2.3.1.tar.gz
ea570af93c284aa9e5621cd563f54f4d-bsh-2.0b1-src.tar.gz

All of them are present on apache-extras.
The main/external_deps.lst file contains references to apache-extras for all of them.
Comment 2 SVN Robot 2012-10-12 15:23:24 UTC
"af" committed SVN revision 1397615 into trunk:
#121191# Removed category-B tarballs.
Comment 3 Pedro Giffuni 2012-10-13 20:10:02 UTC
DISCLAIMER: I am trying the buildsys branch.

I am using system versions of coinmp and other Cat-B sources
and no fonts and now the system wants to download them:
...
ignoring apache-rat-incubating-0.8-bin.tar.bz2 because its prerequisites are not fulfilled
adding download request for CoinMP-1.6.0.tgz
ignoring gentiumbasic-fonts-1.10.zip because its prerequisites are not fulfilled
adding download request for hyphen-2.7.1.tar.gz
ignoring croscorefonts-1.21.0.tar.gz because its prerequisites are not fulfilled
adding download request for hunspell-1.3.2.tar.gz
adding download request for rhino1_7R3.zip
adding download request for seamonkey-1.1.14.source.tar.gz
adding download request for nss-3.12.6-with-nspr-4.8.4.tar.gz
ignoring LICENSE_source-9.0.0.7-bj.html because its prerequisites are not fulfilled
ignoring README_source-9.0.0.7-bj.txt because its prerequisites are not fulfilled
ignoring source-9.0.0.7-bj.zip because its prerequisites are not fulfilled
README_silgraphite-2.3.1.txt exists, MD5 checksum is OK
adding download request for silgraphite-2.3.1.tar.gz
adding download request for bsh-2.0b1-src.tar.gz
downloading 8 missing tar balls to /usr/ports/editors/openoffice-3-devel/work/ooo/ext_sources
downloading to /usr/ports/editors/openoffice-3-devel/work/ooo/ext_sources/2b5f1ca58d6ef30f18f1415b65bed81c-CoinMP-1.6.0.tgz.part
...
Comment 4 SVN Robot 2012-10-15 00:58:12 UTC
"pfg" committed SVN revision 1398163 into trunk:
#121191# Avoid downloading some tarballs when using system versions.
Comment 5 hdu@apache.org 2013-07-12 11:06:01 UTC
Got into AOO 4.0.0